# Google Play Game Services API . metagame

## Instance Methods

Return the metagame configuration data for the calling application.

List play data aggregated per category for the player corresponding to playerId.

Retrieves the next page of results.

### Method Details

`getMetagameConfig(consistencyToken=None)`

    Return the metagame configuration data for the calling application.

    Args:
      consistencyToken: string, The last-seen mutation timestamp.

    Returns:
      An object of the form:

        { # This is a JSON template for the metagame config resource
        "kind": "games#metagameConfig", # Uniquely identifies the type of this resource. Value is always the fixed string games#metagameConfig.
        "currentVersion": 42, # Current version of the metagame configuration data. When this data is updated, the version number will be increased by one.
        "playerLevels": [ # The list of player levels.
          { # This is a JSON template for 1P/3P metadata about a user's level.
            "maxExperiencePoints": "A String", # The maximum experience points for this level.
            "kind": "games#playerLevel", # Uniquely identifies the type of this resource. Value is always the fixed string games#playerLevel.
            "minExperiencePoints": "A String", # The minimum experience points for this level.
            "level": 42, # The level for the user.
          },
        ],
      }

`listCategoriesByPlayer(playerId, collection, language=None, pageToken=None, maxResults=None, consistencyToken=None)`

    List play data aggregated per category for the player corresponding to playerId.

    Args:
      playerId: string, A player ID. A value of me may be used in place of the authenticated player's ID. (required)
      collection: string, The collection of categories for which data will be returned. (required)
        Allowed values
          all - Retrieve data for all categories. This is the default.
      language: string, The preferred language to use for strings returned by this method.
      pageToken: string, The token returned by the previous request.
      maxResults: integer, The maximum number of category resources to return in the response, used for paging. For any response, the actual number of category resources returned may be less than the specified maxResults.
      consistencyToken: string, The last-seen mutation timestamp.

    Returns:
      An object of the form:

        { # This is a JSON template for a list of category data objects.
        "nextPageToken": "A String", # Token corresponding to the next page of results.
        "items": [ # The list of categories with usage data.
          { # This is a JSON template for data related to individual game categories.
            "category": "A String", # The category name.
            "experiencePoints": "A String", # Experience points earned in this category.
            "kind": "games#category", # Uniquely identifies the type of this resource. Value is always the fixed string games#category.
          },
        ],
        "kind": "games#categoryListResponse", # Uniquely identifies the type of this resource. Value is always the fixed string games#categoryListResponse.
      }

`listCategoriesByPlayer_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.